libmspack: mscabd_file Struct Reference

- Main Page
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

# mscabd_file Struct Reference

A structure which represents a single file in a cabinet or cabinet set. More...

`#include <mspack.h>`

## Data Fields
mscabd_file * | next
| The next file in the cabinet or cabinet set, or NULL if this is the final file.
char * | filename
| The filename of the file.
unsigned int | length
| The uncompressed length of the file, in bytes.
int | attribs
| File attributes.
char | time_h
| File's last modified time, hour field.
char | time_m
| File's last modified time, minute field.
char | time_s
| File's last modified time, second field.
char | date_d
| File's last modified date, day field.
char | date_m
| File's last modified date, month field.
int | date_y
| File's last modified date, year field.
mscabd_folder * | folder
| A pointer to the folder that contains this file.
unsigned int | offset
| The uncompressed offset of this file in its folder.

## Detailed Description

A structure which represents a single file in a cabinet or cabinet set.

All fields are READ ONLY.

## Field Documentation

int mscabd_file::attribs

| File attributes. The following attributes are defined: MSCAB_ATTRIB_RDONLY indicates the file is write protected. MSCAB_ATTRIB_HIDDEN indicates the file is hidden. MSCAB_ATTRIB_SYSTEM indicates the file is a operating system file. MSCAB_ATTRIB_ARCH indicates the file is "archived". MSCAB_ATTRIB_EXEC indicates the file is an executable program. MSCAB_ATTRIB_UTF_NAME indicates the filename is in UTF8 format rather than ISO-8859-1.

char mscabd_file::date_d

| File's last modified date, day field.

char mscabd_file::date_m

| File's last modified date, month field.

int mscabd_file::date_y

| File's last modified date, year field.

char* mscabd_file::filename

| The filename of the file. A null terminated string of up to 255 bytes in length, it may be in either ISO-8859-1 or UTF8 format, depending on the file attributes. See also: attribs

struct mscabd_folder* mscabd_file::folder

| A pointer to the folder that contains this file.

unsigned int mscabd_file::length

| The uncompressed length of the file, in bytes.

struct mscabd_file* mscabd_file::next

| The next file in the cabinet or cabinet set, or NULL if this is the final file.

unsigned int mscabd_file::offset

| The uncompressed offset of this file in its folder.

char mscabd_file::time_h

| File's last modified time, hour field.

char mscabd_file::time_m

| File's last modified time, minute field.

char mscabd_file::time_s

| File's last modified time, second field.

The documentation for this struct was generated from the following file:

- /home/kyz/devel/libmspack/libmspack/mspack/mspack.h